net.sourceforge.pmd.lang.ast.xpath

## Class NodeIterator

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.xpath.NodeIterator

All Implemented Interfaces:
  Iterator<Node>

    public abstract class NodeIterator
    extends Object
    implements Iterator<Node>

Author:
  daniels

### Constructor Summary

Constructors
Constructor and Description
`NodeIterator(Node contextNode)`

### Method Summary

Methods
`protected Node` `getFirstChild(Node contextNode)`
`protected abstract Node` `getFirstNode(Node contextNode)`
`protected Node` `getLastChild(Node contextNode)`
`protected abstract Node` `getNextNode(Node contextNode)`
`protected Node` `getNextSibling(Node contextNode)`
`protected Node` `getPreviousSibling(Node contextNode)`
`boolean` `hasNext()`
`Node` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeIterator

    public NodeIterator(Node contextNode)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Node>`

#### next

    public Node next()

Specified by:
  `next` in interface `Iterator<Node>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<Node>`

#### getFirstNode

    protected abstract Node getFirstNode(Node contextNode)

#### getNextNode

    protected abstract Node getNextNode(Node contextNode)

#### getPreviousSibling

    protected Node getPreviousSibling(Node contextNode)

#### getNextSibling

    protected Node getNextSibling(Node contextNode)

#### getFirstChild

    protected Node getFirstChild(Node contextNode)

#### getLastChild

    protected Node getLastChild(Node contextNode)